import json


class FloatingIP:
    def __init__(self,
                 id,
                 router_id,
                 floating_network_id,
                 subnet_id,
                 port_id,
                 name,
                 fixed_ip_address,
                 floating_ip_address,
                 status,
                 created_at,
                 updated_at
                 ) -> None:
        super().__init__()

        self.id = id
        self.router_id = router_id
        self.floating_network_id = floating_network_id
        self.subnet_id = subnet_id
        self.port_id = port_id
        self.name = name
        self.fixed_ip_address = fixed_ip_address
        self.floating_ip_address = floating_ip_address
        self.status = status
        self.created_at = created_at
        self.updated_at = updated_at

    def __str__(self) -> str:
        return self.toJSON()

    def toJSON(self):
        return json.dumps(self.__dict__)
