from interface.network.Port import Port


class PortManager:
    def __init__(self) -> None:
        super().__init__()

    def create(self, network_id) -> Port:
        raise NotImplementedError

    def get(self, id) -> Port:
        raise NotImplementedError

    def update(self, id, params) -> Port:
        raise NotImplementedError

    def delete(self, id) -> bool:
        raise NotImplementedError

    def list(self) -> []:
        raise NotImplementedError
